Skip to navigation

Get Training Content [Single]

View as Markdown
Partner Restricted

All endpoints for this API are restricted to providers that have signed a Paylocity technology partnership agreement. Interested organizations should review our partner requirements and contact guidelines.

Summary Description

Retrieves details for a specific training content item by its ID.

Use Cases

  • Partner wants to fetch metadata and upload status for a training video.
  • Partner needs to include usageStats or contentState for reporting.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired
contentIdstringRequired

Headers

testModestringOptional
If true, responses are mocked and generated randomly.
AcceptstringOptional

Query parameters

includestringOptional

Optional. To include usage statistics, pass usageStats. To include the content’s state by pass ‘contentState’. Possible statuses are ‘success’, ‘pending upload’, ‘upload failed’, and ‘upload failed, invalid content length’.

Response

Successful response